# Generated from misfortune-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name misfortune

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: "Unmaintainable code" turned into fortune cookies
License: MIT
URL: https://github.com/nbekirov/misfortune
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.11
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
This gem is a spin-off of the fortune program found on many Unix-like
systems.
It is bundled with quotations from the "Unmaintainable code" essay by Roedy
Green.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/misfortune
%{gem_instdir}/.codeclimate.yml
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/misfortune.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.3-1
- Initial package
